net.sf.jasperreports.components.table.fill

## Class TableReport.TitleCreator

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator
  - - net.sf.jasperreports.components.table.fill.TableReport.TitleCreator

- All Implemented Interfaces:
    ColumnVisitor<java.lang.Void>
  Enclosing class:
    TableReport

      protected class TableReport.TitleCreator
      extends TableReport.ReportBandCreator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableReport.TitleCreator(TableReport.ReportBandInfo bandInfo, FillColumn fillColumn, int xOffset, int yOffset, int level)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Cell` | `columnCell(Column column)`
    `protected Cell` | `columnGroupCell(ColumnGroup group)`
    `protected TableReport.ReportBandCreator` | `createSubVisitor(FillColumn subcolumn, int xOffset, int yOffset, int sublevel)`

    - ### Methods inherited from class net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator

      `createColumnCell, createColumnCell, isEmpty, visit, visitColumn, visitColumnGroup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReport.TitleCreator

          public TableReport.TitleCreator(TableReport.ReportBandInfo bandInfo,
                                  FillColumn fillColumn,
                                  int xOffset,
                                  int yOffset,
                                  int level)

  - ### Method Detail

    - #### columnCell

          protected Cell columnCell(Column column)

      Specified by:
        `columnCell` in class `TableReport.ReportBandCreator`

    - #### columnGroupCell

          protected Cell columnGroupCell(ColumnGroup group)

      Specified by:
        `columnGroupCell` in class `TableReport.ReportBandCreator`

    - #### createSubVisitor

          protected TableReport.ReportBandCreator createSubVisitor(FillColumn subcolumn,
                                                       int xOffset,
                                                       int yOffset,
                                                       int sublevel)

      Specified by:
        `createSubVisitor` in class `TableReport.ReportBandCreator`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com